#pragma once
namespace KMAssist
{
	// 鼠标移动;
	void MouseMove(POINT pt, bool bSetCurPos = true);
	void MouseMove(int x, int y, bool bSetCurPos = true);
	// 鼠标单击;
	void MouseClick();
	void MouseClick(POINT pt);
	// 鼠标双击;
	void MouseDbClick();
	void MouseDbClick(POINT pt);
	// 鼠标右击;
	void MouseRClick();
	void MouseRClick(POINT pt);
	// 鼠标拖动;
	void MouseDrag(POINT pt);

	// 发送按键;
	void SendKey(DWORD key, BOOL bCtrl = FALSE, BOOL bAtl = FALSE, BOOL bShift = FALSE);
};

